complexType "Period"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 23 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier, period
</...>

Content Model Elements (2):

  period (defined in Period complexType), | periodMultiplier (defined in Period complexType)

Known Direct Subtypes (1):

  Offset

Known Indirect Subtypes (4):

  AdjustedRelativeDateOffset, DateOffset, RelativeDateOffset, RelativeDates

All Direct / Indirect Based Elements (33):

  dateOffset,
  earliestExerciseDateTenor,
  endTerm,
  exerciseFrequency (defined in ExercisePeriod complexType),
  expirationDateOffset,
  feePaymentDate (defined in ExerciseFee complexType),
  feePaymentDate (defined in ExerciseFeeSchedule complexType),
  firstObservationDateOffset,
  indexTenor (defined in FloatingRateIndex.model group),
  indexTenor (defined in ForecastRateIndex complexType),
  indexTenor (in fra),
  inflationLag,
  lagDuration,
  mandatoryEarlyTerminationDateTenor,
  offset,
  paymentDaysOffset,
  paymentFrequency (defined in BondCalculation.model group),
  paymentFrequency (in deposit),
  paymentFrequency (in periodicPayment),
  paymentFrequency (in rateIndex),
  paymentFrequency (in simpleCreditDefaultSwap),
  paymentFrequency (in simpleIrSwap),
  relativeDate (defined in AdjustableDatesOrRelativeDateOffset complexType),
  relativeDate (defined in AdjustableOrRelativeDate complexType),
  relativeDates (defined in AdjustableOrRelativeDates complexType),
  relativeDates (defined in AdjustableRelativeOrPeriodicDates2 complexType),
  startTerm,
  tenorPeriod (defined in FxTenor.model group),
  tenorPeriod (in fxOption),
  term (in deposit),
  term (in rateIndex),
  term (in simpleCreditDefaultSwap),
  term (in simpleIrSwap)

Known Usage Locations

- In derivations of other global types (1):
  Offset (as extension base)
- As direct type of elements (22):

  earliestExerciseDateTenor, endTerm, exerciseFrequency (defined in ExercisePeriod complexType), firstObservationDateOffset, indexTenor (defined in FloatingRateIndex.model group), indexTenor (defined in ForecastRateIndex complexType), indexTenor (in fra), lagDuration, mandatoryEarlyTerminationDateTenor, paymentFrequency (defined in BondCalculation.model group), paymentFrequency (in deposit), | paymentFrequency (in periodicPayment), paymentFrequency (in rateIndex), paymentFrequency (in simpleCreditDefaultSwap), paymentFrequency (in simpleIrSwap), startTerm, tenorPeriod (defined in FxTenor.model group), tenorPeriod (in fxOption), term (in deposit), term (in rateIndex), term (in simpleCreditDefaultSwap), term (in simpleIrSwap)

Annotation
A type to define recurring periods or time offsets.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Period"> <xsd:sequence> <xsd:element name="periodMultiplier" type="xsd:integer"/> <xsd:element name="period" type="PeriodEnum"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
period

  Type: | PeriodEnum, simple content

  A time period, e.g. a day, week, month or year of the stream. If the periodMultiplier value is 0 (zero) then period must contain the value D (day).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "D" | - | Day. See: http://www.FpML.org
  "W" | - | Week. See: http://www.FpML.org
  "M" | - | Month. See: http://www.FpML.org
  "Y" | - | Year. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="period" type="PeriodEnum"/>

periodMultiplier

  Type: | xsd:integer, predefined, simple content

  A time period multiplier, e.g. 1, 2 or 3 etc. A negative value can be used when specifying an offset relative to another date, e.g. -2 days.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="periodMultiplier" type="xsd:integer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.